%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_with check
%global debug_package %{nil}

%global crate clap_complete

Name:           rust-clap_complete3
Version:        3.2.5
Release:    1%{?dist}
Summary:        Generate shell completion scripts for your clap::Command

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/clap_complete
Source0:         %{crates_source}

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Generate shell completion scripts for your clap::Command.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+clap_lex-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+clap_lex-devel %{_description}

This package contains library source intended for building other packages which
use the "clap_lex" feature of the "%{crate}" crate.

%files       -n %{name}+clap_lex-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+debug-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+debug-devel %{_description}

This package contains library source intended for building other packages which
use the "debug" feature of the "%{crate}" crate.

%files       -n %{name}+debug-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+is_executable-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+is_executable-devel %{_description}

This package contains library source intended for building other packages which
use the "is_executable" feature of the "%{crate}" crate.

%files       -n %{name}+is_executable-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+os_str_bytes-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+os_str_bytes-devel %{_description}

This package contains library source intended for building other packages which
use the "os_str_bytes" feature of the "%{crate}" crate.

%files       -n %{name}+os_str_bytes-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+pathdiff-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+pathdiff-devel %{_description}

This package contains library source intended for building other packages which
use the "pathdiff" feature of the "%{crate}" crate.

%files       -n %{name}+pathdiff-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+shlex-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+shlex-devel %{_description}

This package contains library source intended for building other packages which
use the "shlex" feature of the "%{crate}" crate.

%files       -n %{name}+shlex-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+unicode-xid-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+unicode-xid-devel %{_description}

This package contains library source intended for building other packages which
use the "unicode-xid" feature of the "%{crate}" crate.

%files       -n %{name}+unicode-xid-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+unstable-dynamic-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+unstable-dynamic-devel %{_description}

This package contains library source intended for building other packages which
use the "unstable-dynamic" feature of the "%{crate}" crate.

%files       -n %{name}+unstable-dynamic-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.2.5-1
- initial build
